<#ftl strip_whitespace=true>
<#import "/insight-1.0.ftl" as insight />

<@insight.title>
    <#if operation.endPoint>
        @InsightEndPoint
    <#else>
        @InsightOperation
    </#if>
</@insight.title>

<@insight.group>
    <@insight.entry name="Comment" value=operation.comment />
    <@insight.entry name="EndPoint" value=operation.label />
    <@insight.entry name="Example" value=operation.example />
    <@insight.entry name="Arguments" if=operation.arguments?has_content>
        <@insight.list type="ordered" collection=operation.arguments />
    </@insight.entry>
    <@insight.entry name="Return Value" value=operation.returnValue />
    <@insight.entry name="Exception" value=operation.exception />
</@insight.group>
